<?php

class PayshopCheckPaymentMBWay
{
    /**
     * Class constructor
     */
    public function __construct()
    {
        add_action('woocommerce_api_payshop_check_payment_mbway', [$this, 'execute']);
    }

    /**
     * Payment process with credit card
     *
     * @return void
     */
    public function execute()
    {
        header('Content-Type: application/json');

        try {
            $orderId = $_GET['order-id'];

            $order = wc_get_order($orderId);
            $orderStatus = $order->get_status();

            if ('processing' === $orderStatus) {
                echo json_encode(["status" => "paid"]);
                exit;
            }

            if ('failed' === $orderStatus) {
                echo json_encode(["status" => "declined"]);
                exit;
            }

            echo json_encode(["status" => "not-paid"]);
        } catch (\Exception $e) {
            echo json_encode([
                'error' => true,
                'message' => $e->getMessage()
            ]);

            http_response_code(400);
        }

        exit;
    }
}
