<?php

class PayshopOrderInformations
{
    /**
     * Show payshop informations on order page in admin
     * 
     * @return void
     */
    public function execute()
    {
        add_action('woocommerce_admin_order_data_after_shipping_address', [$this, 'renderOrderInformations']);
    }

    /**
     * Render payshop informations on order page in admin
     * 
     * @param int $postId
     * @return void
     */
    public function renderOrderInformations($postId)
    {
        $order = wc_get_order($postId);
        
        // Used on template
        $paymentMethod = $order->get_payment_method();

        $paymentInTwoSteps = $order->get_meta('_payshop_payment_in_two_steps');
        $paymentEffectiveDate = $order->get_meta('_payshop_effective_value');
        $limiteToConfirmPayment = PayshopCommons::getDateLimitToConfirmPayment($order);

        $chargeId = $order->get_meta('_payshop_charge_id');
        $instrumentId = $order->get_meta('_payshop_instrument_id');
        $paymentId = $order->get_meta('_payshop_payment_id');

        $referenceEntity = $order->get_meta('_payshop_entity');
        $reference = $order->get_meta('_payshop_reference');
        $referenceEndDate = $order->get_meta('_payshop_end_date');
       
        require PAYSHOP_PLUGIN_DIR . '/templates/views/admin/order-informations.php';
    }
}