<?php

if (!defined('ABSPATH')) {
    exit;
}

?>

<fieldset id="wc-payshop_card-cc-form" class="wc-credit-card-form wc-payment-form">
    <p class="form-row form-row-wide woocommerce-validated">
        <label for="id-card-number"><?= __('Card number', 'payshop') ?>&nbsp;<span class="required">*</span></label>
        <input id="id-card-number" class="input-text wc-credit-card-form-card-number" inputmode="numeric" autocomplete="cc-number" autocorrect="no" autocapitalize="no" spellcheck="no" type="tel" data-checkout="cardNumber" name="card-number" maxlength="19" onkeyup="payshop_maskInput(this, payshop_cc);" required>
        <small id="payshop-error-card-number" class="payshop-erro-form" data-main="#id-card-number" style="display: none; color: #e81814;">
            <?= __('Invalid card number', 'payshop') ?>
        </small>
    </p>

    <p class="form-row form-row-wide woocommerce-validated">
        <label for="id-card-holder-name"><?= __('Name and surname of the cardholder', 'payshop') ?>&nbsp;<span class="required">*</span></label>
        <input id="id-card-holder-name" class="input-text wc-credit-card-form-holder-name" inputmode="text" autocomplete="cc-holder-name" autocorrect="no" autocapitalize="no" spellcheck="no" type="text" name="card-holder-name" data-checkout="cardholderName">
        <small id="payshop-error-card-holder-name" class="payshop-erro-form" data-main="#id-card-holder-name" style="display: none; color: #e81814;">
            <?= __('Invalid card holder name', 'payshop') ?>
        </small>
    </p>

    <p class="form-row form-row-first woocommerce-validated">
        <label for="id-card-expiration"><?= __('Expiration date', 'payshop') ?>&nbsp;<span class="required">*</span></label>
        <input id="id-card-expiration" class="input-text wc-credit-card-form-card-expiry" inputmode="numeric" autocomplete="cc-exp" autocorrect="no" autocapitalize="no" spellcheck="no" type="tel" name="card-expiration" placeholder="MM/AAAA" maxlength="7" data-checkout="cardExpiration" onkeyup="payshop_maskInput(this, payshop_date);">
        <small id="payshop-error-card-expiration" class="payshop-erro-form" data-main="#id-card-expiration" style="display: none; color: #e81814;">
            <?= __('Invalid card expiration date', 'payshop') ?>
        </small>
    </p>

    <p class="form-row form-row-last woocommerce-validated">
        <label for="id-security-code"><?= __('Security code', 'payshop') ?>&nbsp;<span class="required">*</span></label>
        <input id="id-security-code" class="input-text wc-credit-card-form-card-cvc" inputmode="numeric" autocomplete="off" autocorrect="no" autocapitalize="no" spellcheck="no" type="tel" placeholder="CVC" name="card-security-code" style="width:100px" maxlength="3" data-checkout="securityCode" onkeyup="payshop_maskInput(this, payshop_minteger);">
        <small id="payshop-error-security-code" class="payshop-erro-form payshop-pt-0" data-main="#id-security-code" style="display: none; color: #e81814;">
            <?= __('Invalid Security code', 'payshop') ?>
        </small>
    </p>
    <div class="clear"></div>
</fieldset>